Package: org.codehaus.groovy.runtime.wrappers

## [Java] Class Wrapper

- org.codehaus.groovy.runtime.wrappers.Wrapper

- All Implemented Interfaces and Traits:
    GroovyObject

      public abstract class Wrapper
      extends Object

  Authors:
    John Wilson

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Class` | `constrainedType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Wrapper (Class constrainedType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MetaClass` | `getDelegatedMetaClass()`
    `` | `MetaClass` | `getMetaClass()`
    `` | `Class` | `getType()`
    `` | `protected Object` | `getWrapped()`
    `` | `Object` | `unwrap()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected final Class constrainedType

  - ### Constructor Detail

    - #### public Wrapper(Class constrainedType)

  - ### Method Detail

    - #### protected MetaClass getDelegatedMetaClass()

    - #### public MetaClass getMetaClass()

    - #### public Class getType()

    - #### protected Object getWrapped()

    - #### public Object unwrap()